=== kdenetwork-1.1.2/krn/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local/kde
exec_prefix = ${prefix}

bindir = /usr/local/kde/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/kdenetwork
pkglibdir = $(libdir)/kdenetwork
pkgincludedir = $(includedir)/kdenetwork

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = sparc-unknown-netbsd3.99.17
build_triplet = sparc-unknown-netbsd3.99.17
host_alias = sparc-unknown-netbsd3.99.17
host_triplet = sparc-unknown-netbsd3.99.17
target_alias = sparc-unknown-netbsd3.99.17
target_triplet = sparc-unknown-netbsd3.99.17
AS = 
CC = gcc
CPP = gcc -E
CXX = g++
CXXCPP = @CXXCPP@
DLLTOOL = 
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = /usr/bin/msgfmt
IDL = @IDL@
KDE_EXTRA_RPATH = 
KDE_INCLUDES = -I/usr/local/kde/include
KDE_LDFLAGS = -L/usr/local/kde/lib
KDE_RPATH = -rpath $(kde_libraries) -rpath $(qt_libraries) -rpath $(x_libraries)
LD = /usr/bin/ld
LIBBSD = 
LIBCOMPAT = -lcompat
LIBCRYPT = -lcrypt
LIBDL = 
LIBJPEG = -ljpeg
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPNG = -lpng -lz -lm
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBSOCKET = 
LIBTIFF = -ltiff -ljpeg -lz
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = 
LIBUU = 
LIBZ = -lz
LIB_KAB = -lkab $(LIB_KIMGIO) $(LIB_KDECORE)
LIB_KDECORE = -lkdecore -lXext $(LIB_QT)
LIB_KDEUI = -lkdeui $(LIB_KDECORE)
LIB_KDEUTIL = @LIB_KDEUTIL@
LIB_KFILE = -lkfile $(LIB_KFM) $(LIB_KDEUI)
LIB_KFM = -lkfm $(LIB_KDECORE)
LIB_KHTML = -lkhtml $(LIB_KIMGIO) -ljscript
LIB_KHTMLW = -lkhtmlw $(LIB_KIMGIO) -ljscript
LIB_KIMGIO = -lkimgio $(LIBJPEG) $(LIBTIFF) $(LIBPNG) $(LIB_QT) -lm
LIB_KIO = @LIB_KIO@
LIB_MEDIATOOL = -lmediatool $(LIB_KDECORE)
LIB_QT = -lqt $(LIB_X11)
LIB_X11 = -lX11 $(LIBSOCKET)
LN_S = ln -s
MAKEINFO = makeinfo
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = /usr/local/qt/bin/moc
MSGFMT = /usr/bin/msgfmt
NM = /usr/bin/nm -B
PACKAGE = kdenetwork
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
QT_INCLUDES = -I/usr/local/qt/include
QT_LDFLAGS = -L/usr/local/qt/lib
RANLIB = ranlib
TOPSUBDIRS =  karchie kbiff kfinger kmail knu korn kppp ksirc ktalkd po
USE_NLS = yes
VERSION = 1.1.2
XGETTEXT = /usr/bin/xgettext
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = 
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
all_includes = -I/usr/local/kde/include -I/usr/local/qt/include  -I/usr/X11R6/include
all_libraries = -L/usr/local/kde/lib -L/usr/local/qt/lib  -L/usr/X11R6/lib
install_root = 
kde_appsdir = /usr/local/kde/share/applnk
kde_bindir = /usr/local/kde/bin
kde_cgidir = /usr/local/kde/cgi-bin
kde_confdir = /usr/local/kde/share/config
kde_datadir = /usr/local/kde/share/apps
kde_htmldir = /usr/local/kde/share/doc/HTML
kde_icondir = /usr/local/kde/share/icons
kde_includes = /usr/local/kde/include
kde_libraries = /usr/local/kde/lib
kde_locale = /usr/local/kde/share/locale
kde_mimedir = /usr/local/kde/share/mimelnk
kde_minidir = /usr/local/kde/share/icons/mini
kde_partsdir = /usr/local/kde/parts
kde_sounddir = /usr/local/kde/share/sounds
kde_toolbardir = /usr/local/kde/share/toolbar
kde_wallpaperdir = /usr/local/kde/share/wallpapers
qt_includes = /usr/local/qt/include
qt_libraries = /usr/local/qt/lib
static_libkde = /usr/local/kde/lib/libkdeui.a /usr/local/kde/lib/libkdecore.a /usr/local/kde/lib/libkfile.a /usr/local/kde/lib/libkfm.a
static_libqt = 
static_libstdc = /usr/lib/libstdc++.a
topdir = /usr/exp/kdenetwork-1.1.2
x_includes = /usr/X11R6/include
x_libraries = /usr/X11R6/lib

INCLUDES = $(all_includes)
AM_CPPFLAGS = -DKRN -DCHARSETS

LDFLAGS = $(all_libraries) $(KDE_RPATH)
krn_LDADD = -lkspell  $(LIB_KHTMLW)  $(LIB_KFILE) 	 -lmimelib -lgdbm $(LIBCOMPAT) 


kdecode_LDADD = $(LIB_KFILE) 	 $(LIBUU) $(LIBCOMPAT) 


newkrn_LDADD = $(LIB_KHTMLW)  $(LIB_KFILE) 	 -lmimelib -lgdbm $(LIBCOMPAT) 


MINIDIR = $(kde_minidir)
# better would be Internet
APPSDIR = $(kde_appsdir)/Internet

METASOURCES = groupdlg.moc 		NNTP.moc                 artdlg.moc                 asker.moc                 identDlg.moc                 NNTPConfigDlg.moc                 rmbpop.moc                 decoderDlg.moc                 kdecode.moc                 aboutDlg.moc                 fontsDlg.moc                 kmcomposewin.moc                 findArtDlg.moc                 kmmsgpartdlg.moc                 kbusyptr.moc                 kalarmtimer.moc                 kmreaderwin.moc                 kpgp.moc                 krnsender.moc                 kmsender.moc                 kmaddrbookdlg.moc                 ktreeview.moc                 expireDlg.moc                 printdlg.moc                 rulesDlg.moc                 sortDlg.moc 		charsetsDlg.moc                 expirestatusdlg.moc                 kmtopwidget.moc                 TooManydlg.moc 		new_groupdlg.moc


bin_PROGRAMS = krn kdecode newkrn

newkrn_SOURCES = new_main.cpp 		 new_groupdlg.cpp                  new_globals.cpp                  kfileio.cpp


kdecode_SOURCES = kdecodemain.cpp                 decoderDlg.cpp                 kdecode.cpp


krn_SOURCES = main.cpp 		NNTP.cpp 		groupdlg.cpp 		artdlg.cpp                 newsgroup.cpp                 asker.cpp                 identDlg.cpp                 NNTPConfigDlg.cpp                 rmbpop.cpp                 aboutDlg.cpp                 ktempfile.cpp                 kscorer.cpp                 fontsDlg.cpp                 kmmessage.cpp                 kmmsgpart.cpp                 kmmsginfo.cpp                 kmcomposewin.cpp                 kmimemagic.cpp                 kmsender.cpp                 findArtDlg.cpp                 kmmsgbase.cpp                 kmidentity.cpp                 kfileio.cpp                 kmmsgpartdlg.cpp                 kbusyptr.cpp                 kalarmtimer.cpp                 kmreaderwin.cpp                 kpgp.cpp                 krnsender.cpp                 kmaddrbookdlg.cpp                 kmaddrbook.cpp                 ktreeview.cpp                 expireDlg.cpp                 tlform.cpp                 tlwidget.cpp                 typelayout.cpp                 printdlg.cpp                 rulesDlg.cpp                 sortDlg.cpp                 rules.cpp 		charsetsDlg.cpp                 expirestatusdlg.cpp                 kfontutils.cpp                 kmtopwidget.cpp                 kpgpbase.cpp 		TooManydlg.cpp


noinst_HEADERS = NNTP.h                 kmmessage.h 		artdlg.h                 groupdlg.h                 asker.h                 identDlg.h                 NNTPConfigDlg.h                 decoderDlg.h 		rmbpop.h 		kdecode.h 		aboutDlg.h 		ktempfile.h 		kscorer.h                 fontsDlg.h                 kmmsgpart.h                 kmmsginfo.h                 kmcomposewin.h                 kmimemagic.h                 kmsender.h                 mytree.h                 findArtDlg.h                 kmmsgbase.h                 kmidentity.h                 kfileio.h                 kmmsgpartdlg.h                 kbusyptr.h                 kalarmtimer.h                 kmreaderwin.h                 kpgp.h                 krnsender.h                 kmaddrbookdlg.h                 kmaddrbook.h                 ktreeview.h                 expireDlg.h                 tlform.h                 tlwidget.h                 typelayout.h                 printdlg.h                 rulesDlg.h                 sortDlg.h                 rules.h 		charsetsDlg.h                 expirestatusdlg.h                 kfontutils.h                 kmtopwidget.h 		kmiostatusdlg.h 		kpgpbase.h 		TooManydlg.h


SUBDIRS = docs pics

EXTRA_DIST = krn.xpm mini-krn.xpm Krn.kdelnk

kde_icon_DATA = krn.xpm
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS = 
LIBS = 
krn_OBJECTS =  main.o NNTP.o groupdlg.o artdlg.o newsgroup.o asker.o \
identDlg.o NNTPConfigDlg.o rmbpop.o aboutDlg.o ktempfile.o kscorer.o \
fontsDlg.o kmmessage.o kmmsgpart.o kmmsginfo.o kmcomposewin.o \
kmimemagic.o kmsender.o findArtDlg.o kmmsgbase.o kmidentity.o kfileio.o \
kmmsgpartdlg.o kbusyptr.o kalarmtimer.o kmreaderwin.o kpgp.o \
krnsender.o kmaddrbookdlg.o kmaddrbook.o ktreeview.o expireDlg.o \
tlform.o tlwidget.o typelayout.o printdlg.o rulesDlg.o sortDlg.o \
rules.o charsetsDlg.o expirestatusdlg.o kfontutils.o kmtopwidget.o \
kpgpbase.o TooManydlg.o
krn_DEPENDENCIES = 
krn_LDFLAGS = 
kdecode_OBJECTS =  kdecodemain.o decoderDlg.o kdecode.o
kdecode_DEPENDENCIES = 
kdecode_LDFLAGS = 
newkrn_OBJECTS =  new_main.o new_groupdlg.o new_globals.o kfileio.o
newkrn_DEPENDENCIES = 
newkrn_LDFLAGS = 
CXXFLAGS = -mcpu=v8 -mtune=v8 -O2 -I/usr/pkg/include -include /usr/exp/kdelibs-1.1/ns.h
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
DATA =  $(kde_icon_DATA)

HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(krn_SOURCES) $(kdecode_SOURCES) $(newkrn_SOURCES)
OBJECTS = $(krn_OBJECTS) $(kdecode_OBJECTS) $(newkrn_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cpp .lo .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps krn/Makefile
	cd $(top_srcdir) && perl admin/automoc krn/Makefile.in

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
