=== kdelibs-1.1.2/debian/control ===
Source: kdelibs
Section: contrib/libs
Priority: extra
Maintainer: Stephan Kulow <coolo@kde.org>
Standards-Version: 2.5.1

Package: kdelibs2g-dev
Architecture: any
Depends: kdelibs2g (= ${Source-Version}), gettext, qt1g-dev, libjpeg62-dev, xlib6g-dev
Conflicts: kdelibs0-dev
Description: KDE core libraries (development files)
 KDE core libraries.
 You need these files to compile kde applications.

Package: kdelibs-doc
Architecture: all
Depends: kdelibs2g (= ${Source-Version}), qt1g-doc
Suggests: kdevelop, kdoc, ktranslator
Description: KDE core libraries (kdoc documentation)
 KDE core libraries (kdoc documentation)
 .
 For use in KDE development

Package: kdelibs2g
Architecture: any
Depends: ${shlibs:Depends}, libjpeg62
Provides: kdelibs
Description: KDE core libraries (runtime files)
 KDE core libraries.
 You need these files to run kde applications.
